﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ScrollingTwoSpreads_CS
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            LoadData();

            gcSpreadSheet1.TopRowChanged += new EventHandler<GrapeCity.Windows.SpreadSheet.UI.ViewportEventArgs>(gcSpreadSheet1_TopRowChanged);
            gcSpreadSheet1.LeftColumnChanged += new EventHandler<GrapeCity.Windows.SpreadSheet.UI.ViewportEventArgs>(gcSpreadSheet1_LeftColumnChanged); 
        }

        void gcSpreadSheet1_LeftColumnChanged(object sender, GrapeCity.Windows.SpreadSheet.UI.ViewportEventArgs e)
        {
            gcSpreadSheet2.SetViewportLeftColumn(e.ViewportIndex, e.NewIndex);  
        }

        void gcSpreadSheet1_TopRowChanged(object sender, GrapeCity.Windows.SpreadSheet.UI.ViewportEventArgs e)
        {            
            gcSpreadSheet2.SetViewportTopRow(e.ViewportIndex, e.NewIndex); 
        }
        private void LoadData()
        {
            for (int i = 0; i < 100; i++)
            {
                for (int j = 0; j < 100; j++)
                {
                    gcSpreadSheet1.Sheets[0].Cells[i, j].Text = "r" + i + " c" + j;
                    gcSpreadSheet2.Sheets[0].Cells[i, j].Text = "c" + j + " r" + i; 
                }
            }
        }
    }
}
